Bug 1992876 - Gather OKD specific journal logs
Summary: Gather OKD specific journal logs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.9
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.9.0
Assignee: Pablo Acevedo
QA Contact: Gaoyun Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-11 22:01 UTC by Vadim Rutkovsky
Modified: 2021-10-18 17:46 UTC (History)
0 users

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:45:58 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 5127 0 None None None 2021-08-11 22:02:53 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:46:14 UTC

Description Vadim Rutkovsky 2021-08-11 22:01:58 UTC
OKD installer adds new services running on bootstrap node. log-bundle should include their logs

Comment 2 Gaoyun Pei 2021-08-13 04:53:11 UTC
Verify this issue on 4.9.0-0.nightly-2021-08-13-000228.

Although the new services(release-image-download, machine-config-master-firstboot) were added for OKD installation, we could just use OCP build to verify this.

Gather bootstrap and masters logs with the openshift-install tool

./openshift-install gather bootstrap --bootstrap xx.xx.x.x --key  ~/.ssh/openshift-qe.pem --master xx.xx.x.x

[root@preserve-gpei-worker log-bundle-20210813004650]# ls bootstrap/journals/
approve-csr.log  crio-configure.log  ironic.log   master-bmh-update.log       release-image.log
bootkube.log     crio.log            kubelet.log  release-image-download.log

[root@preserve-gpei-worker log-bundle-20210813004650]# ls control-plane/xx.xx.x.x/journals/
crio.log     machine-config-daemon-host.log       openshift-azure-routes.log  pivot.log
kubelet.log  machine-config-master-firstboot.log  openshift-gcp-routes.log

release-image-download, machine-config-master-firstboot service logs were collected.

Comment 5 errata-xmlrpc 2021-10-18 17:45:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.